Update flags on a work order

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
PUT /eTech/rest/ws/diagnostic/v1/workOrders/code:{workOrderCode}/flags

Replaces the full set of flags on a work order identified by its business code. The work order can be at any status. The provided list fully overrides the existing flags; an empty array clears all flags.

Rate limit range : High

Path parameters

  • workOrderCode string Required

    Business code of the work order. Case insensitive.

application/json

Body Required

  • flags object Required

    Wrapper object for the set of flags to apply. The flag codes are provided in the ids array.

    Hide flags attribute Show flags attribute object
    • ids array[integer] Required

      The complete set of flag ids to apply to the work order. Each flag id is an integer that is a power of 2. The list replaces any existing flags; an empty array clears all flags.

      At least 0 but not more than 32 elements.

Responses

  • 204 application/json

    Flags updated.

  • 400 application/json

    Bad Request - validation errors.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

PUT /eTech/rest/ws/diagnostic/v1/workOrders/code:{workOrderCode}/flags
curl \
 --request PUT 'https://ws-eu1.praxedo.com/eTech/rest/ws/diagnostic/v1/workOrders/code:WO-2026-00123/flags' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "flags": {
    "ids": [
      1,
      2,
      4,
      8
    ]
  }
}'
Request examples
{
  "flags": {
    "ids": [
      1,
      2,
      4,
      8
    ]
  }
}
{
  "flags": {
    "ids": []
  }
}
Response examples (204)
Response examples (400)
{
  "errors": [
    {
      "code": "diagnostic.workorders.code.unknown",
      "message": "The work order [WO-2025-004821] is unknown. It don't exisits or it is outside oauth2 hierarchy."
    }
  ],
  "errorReference": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "errors": [
    {
      "code": "diagnostic.workorders.flags.code.unknown",
      "message": "The flag code [16] is unknown."
    }
  ],
  "errorReference": "223e4567-e89b-12d3-a456-426614174001"
}
{
  "errors": [
    {
      "code": "diagnostic.workorders.code.mandatory",
      "message": "Missing code in path."
    }
  ],
  "errorReference": "323e4567-e89b-12d3-a456-426614174002"
}
{
  "errors": [
    {
      "code": "diagnostic.workorders.flags.mandatory",
      "message": "Property flags is required."
    }
  ],
  "errorReference": "423e4567-e89b-12d3-a456-426614174003"
}
{
  "errors": [
    {
      "code": "diagnostic.workorders.flags.format",
      "message": "Each flag must be an integer that is a power of 2."
    }
  ],
  "errorReference": "523e4567-e89b-12d3-a456-426614174004"
}
{
  "errors": [
    {
      "code": "diagnostic.workorders.invalid.json",
      "message": "Invalid Json format."
    }
  ],
  "errorReference": "623e4567-e89b-12d3-a456-426614174005"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}